<?php

// Add extra fields to Author page (if supported).

global $meanthemes_tools_options;

add_filter( 'user_contactmethods', 'meanthemes_tools_social_author_fields', 10, 1 );

function meanthemes_tools_social_author_fields( $meanthemes_tools_social_author_fields ) {

	if ( current_theme_supports( 'meanthemes_tools_author_social' ) ) {

		$meanthemes_tools_social_author_fields['twitter']    = __( 'Twitter', 'meanthemes' );
		$meanthemes_tools_social_author_fields['facebook']   = __( 'Facebook', 'meanthemes' );
		$meanthemes_tools_social_author_fields['instagram']  = __( 'Instagram', 'meanthemes' );
		$meanthemes_tools_social_author_fields['flickr']     = __( 'Flickr', 'meanthemes' );
		$meanthemes_tools_social_author_fields['adn']        = __( 'App.net', 'meanthemes' );
		$meanthemes_tools_social_author_fields['foursquare'] = __( 'Foursquare', 'meanthemes' );
		$meanthemes_tools_social_author_fields['googleplus'] = __( 'Google+', 'meanthemes' );
		$meanthemes_tools_social_author_fields['pinterest']  = __( 'Pinterest', 'meanthemes' );
		$meanthemes_tools_social_author_fields['dribbble']   = __( 'Dribbble', 'meanthemes' );
		$meanthemes_tools_social_author_fields['github']     = __( 'Github', 'meanthemes' );
	}

	return $meanthemes_tools_social_author_fields;
}


