jQuery(document).ready(function($) {

	// Single Post format JS...

	function hideMeta() {
		// Hide Meta Boxes by default
		$('#meanthemes_tools_custom_meta, #cmb2-metabox-meanthemes_tools_custom_meta .cmb-row, #meanthemes_tools_custom_meta_ambient_video').hide();
	}
	hideMeta();

	var metaBoxFader = function() {
		$('#meanthemes_tools_custom_meta, #meanthemes_tools_custom_meta_ambient_video').fadeIn().css('box-shadow' , '0 0 0 4px pink');

		setTimeout(function() {
			$('#meanthemes_tools_custom_meta, #meanthemes_tools_custom_meta_ambient_video').css('box-shadow' , '0 0 0 0');
		}, 2000);
	};

	var newMetaSelected = $('.editor-post-format select').val();
	
	function showMeta() {
		// Show/hide relevant ones
		if ( newMetaSelected === "link" ) {
			$('div.cmb-row.cmb2-id--single-format-link-url, div.cmb-row.cmb2-id--single-format-quote-source, div.cmb-row.cmb2-id--single-format-link-url-self').show();
			metaBoxFader();
		}
		if ( newMetaSelected === "quote" ) {
			$('div.cmb-row.cmb2-id--single-format-quote, div.cmb-row.cmb2-id--single-format-quote-source, div.cmb-row.cmb2-id--single-format-quote-url').show();
			metaBoxFader();
		}
		if ( newMetaSelected === "status" ) {
			$('div.cmb-row.cmb2-id--single-format-status').show();
			metaBoxFader();
		}
		if ( newMetaSelected === "video" ) {
			$('div.cmb-row.cmb2-id--single-format-video').show();
			metaBoxFader();
		}
		if ( newMetaSelected === "audio" ) {
			$('div.cmb-row.cmb2-id--single-format-audio').show();
			metaBoxFader();
		}
		console.log(newMetaSelected);
	}

	// On load
	setTimeout(function() {
		// Post fromat
		newMetaSelected = $('.editor-post-format select').val();
		hideMeta();
		showMeta();

		// Book Launch
		if ( $( '.editor-page-attributes__template select' ).val() !== 't-book-launch.php' ) {
			$( '#meanthemes_tools_custom_meta_book_launch' ).hide();
		}
	}, 100);

	// On change
	$("#wpbody").on("change", "select", function() {
		// Post format
		newMetaSelected = $('.editor-post-format select').val();
		hideMeta();
		showMeta();

		// Book Launch
		var getSelect = $( '.editor-page-attributes__template select' ).val();
		if ( getSelect === 't-book-launch.php' ) {
			$( '#meanthemes_tools_custom_meta_book_launch' ).fadeIn();
			$( '#meanthemes_tools_custom_meta_book_launch .mce-edit-area.mce-container.mce-panel.mce-stack-layout-item' ).css('height','300px');
		} else {
			$( '#meanthemes_tools_custom_meta_book_launch' ).fadeOut();
		}
	});

});
