jQuery(document).ready(function($) {
	// Single Post format JS...
	function hideMeta() {
		// Hide Meta Boxes by default
		$('#meanthemes_tools_custom_meta, #cmb2-metabox-meanthemes_tools_custom_meta .cmb-row, #meanthemes_tools_custom_meta_ambient_video').hide();
	}
	hideMeta();


	var metaBoxFader = function() {

		$('#meanthemes_tools_custom_meta, #meanthemes_tools_custom_meta_ambient_video').fadeIn().css('box-shadow' , '0 0 0 4px pink');

		setTimeout(function() {
			$('#meanthemes_tools_custom_meta, #meanthemes_tools_custom_meta_ambient_video').css('box-shadow' , '0 0 0 0');
		}, 2000);

	};

var newMetaSelected = $('input:radio[name=post_format]:checked').val();
	function showMeta() {

		// Show/hide relevant ones
		if ( newMetaSelected === "link" ) {
			$('div.cmb-row.cmb2-id--single-format-link-url, div.cmb-row.cmb2-id--single-format-quote-source, div.cmb-row.cmb2-id--single-format-link-url-self').show();
			metaBoxFader();
		}
		if ( newMetaSelected === "quote" ) {
			$('div.cmb-row.cmb2-id--single-format-quote, div.cmb-row.cmb2-id--single-format-quote-source, div.cmb-row.cmb2-id--single-format-quote-url').show();
			metaBoxFader();
		}
		if ( newMetaSelected === "status" ) {
			$('div.cmb-row.cmb2-id--single-format-status').show();
			metaBoxFader();
		}
		if ( newMetaSelected === "video" ) {
			$('div.cmb-row.cmb2-id--single-format-video').show();
			metaBoxFader();
		}
		if ( newMetaSelected === "audio" ) {
			$('div.cmb-row.cmb2-id--single-format-audio').show();
			metaBoxFader();
		}
	}
	showMeta();

	$('input:radio[name=post_format]').change(function(){
		newMetaSelected = $(this).val();
		hideMeta();
		showMeta()
	});

// Book Launch
var bookLaunch = function() {
		if ( $( 'select[name=page_template]' ).val() !== 't-book-launch.php' ) {
			$( '#meanthemes_tools_custom_meta_book_launch' ).hide();
		}

		$('select[name=page_template]').change(function(){
			var getSelect = $(this).val();
			if ( getSelect === 't-book-launch.php' ) {
				$( '#meanthemes_tools_custom_meta_book_launch' ).fadeIn();
				$( '#meanthemes_tools_custom_meta_book_launch .mce-edit-area.mce-container.mce-panel.mce-stack-layout-item' ).css('height','300px');
			} else {
				$( '#meanthemes_tools_custom_meta_book_launch' ).fadeOut();
			}
		});

};
bookLaunch();

// Homepage Item JS...

// Hide tick options in screen options...
$('.metabox-prefs label[for=meanthemes_homepage_item_custom_meta-hide], .metabox-prefs label[for=meanthemes_homepage_item_custom_meta_layout_content-hide], .metabox-prefs label[for=meanthemes_homepage_item_custom_meta_layout_slider-hide], .metabox-prefs label[for=meanthemes_homepage_item_custom_meta_layout_portfolio-hide], .metabox-prefs label[for=meanthemes_homepage_item_custom_meta_layout_process-hide], .metabox-prefs label[for=meanthemes_homepage_item_custom_meta_layout_stats-hide], .metabox-prefs label[for=meanthemes_homepage_item_custom_meta_layout_callout-hide], .metabox-prefs label[for=meanthemes_homepage_item_custom_meta_layout_testimonials-hide], .metabox-prefs label[for=meanthemes_homepage_item_custom_meta_layout_blog-hide], .metabox-prefs label[for=meanthemes_homepage_item_custom_meta_layout_books-hide]').hide();

var hideHomepageMeta = function() {
	// Hide Meta Boxes by default
	$('#meanthemes_homepage_item_custom_meta_layout_slider, #meanthemes_homepage_item_custom_meta_layout_content, #meanthemes_homepage_item_custom_meta_layout_portfolio, #meanthemes_homepage_item_custom_meta_layout_process, #meanthemes_homepage_item_custom_meta_layout_stats, #meanthemes_homepage_item_custom_meta_layout_callout, #meanthemes_homepage_item_custom_meta_layout_testimonials, #meanthemes_homepage_item_custom_meta_layout_blog, #meanthemes_homepage_item_custom_meta_layout_books').hide();
};
hideHomepageMeta();

	var homepageMetaSelected = $('input:radio[name=_meanthemes_homepage_item_layout]:checked').val();

	var showHomepageMeta = function() {

		// Show/hide relevant ones
		if ( homepageMetaSelected === "content" ) {
			var hSelected = "#meanthemes_homepage_item_custom_meta_layout_content";
			$(hSelected).show();
			$(hSelected).fadeIn().css('box-shadow' , '0 0 0 4px pink');
			setTimeout(function() {
				$(hSelected).css('box-shadow' , '0 0 0 0');
			}, 1000);
		}

		if ( homepageMetaSelected === "slider" ) {
			var hSelected = "#meanthemes_homepage_item_custom_meta_layout_slider";
			$(hSelected).show();
			$(hSelected).fadeIn().css('box-shadow' , '0 0 0 4px pink');
			setTimeout(function() {
				$(hSelected).css('box-shadow' , '0 0 0 0');
			}, 1000);

		}

		if ( homepageMetaSelected === "portfolio" ) {
			var hSelected = "#meanthemes_homepage_item_custom_meta_layout_portfolio";
			$(hSelected).show();
			$(hSelected).fadeIn().css('box-shadow' , '0 0 0 4px pink');
			setTimeout(function() {
				$(hSelected).css('box-shadow' , '0 0 0 0');
			}, 1000);
		}

		if ( homepageMetaSelected === "process" ) {
			var hSelected = "#meanthemes_homepage_item_custom_meta_layout_process";
			$(hSelected).show();
			$(hSelected).fadeIn().css('box-shadow' , '0 0 0 4px pink');
			setTimeout(function() {
				$(hSelected).css('box-shadow' , '0 0 0 0');
			}, 1000);
		}

		if ( homepageMetaSelected === "stats" ) {
			var hSelected = "#meanthemes_homepage_item_custom_meta_layout_stats";
			$(hSelected).show();
			$(hSelected).fadeIn().css('box-shadow' , '0 0 0 4px pink');
			setTimeout(function() {
				$(hSelected).css('box-shadow' , '0 0 0 0');
			}, 1000);
		}

		if ( homepageMetaSelected === "callout" ) {
			var hSelected = "#meanthemes_homepage_item_custom_meta_layout_callout";
			$(hSelected).show();
			$(hSelected).fadeIn().css('box-shadow' , '0 0 0 4px pink');
			setTimeout(function() {
				$(hSelected).css('box-shadow' , '0 0 0 0');
			}, 1000);
		}

		if ( homepageMetaSelected === "testimonials" ) {
			var hSelected = "#meanthemes_homepage_item_custom_meta_layout_testimonials";
			$(hSelected).show();
			$(hSelected).fadeIn().css('box-shadow' , '0 0 0 4px pink');
			setTimeout(function() {
				$(hSelected).css('box-shadow' , '0 0 0 0');
			}, 1000);
		}

		if ( homepageMetaSelected === "blog" ) {
			var hSelected = "#meanthemes_homepage_item_custom_meta_layout_blog";
			$(hSelected).show();
			$(hSelected).fadeIn().css('box-shadow' , '0 0 0 4px pink');
			setTimeout(function() {
				$(hSelected).css('box-shadow' , '0 0 0 0');
			}, 1000);
		}

		if ( homepageMetaSelected === "books" ) {
			var hSelected = "#meanthemes_homepage_item_custom_meta_layout_books";
			$(hSelected).show();
			$(hSelected).fadeIn().css('box-shadow' , '0 0 0 4px pink');
			setTimeout(function() {
				$(hSelected).css('box-shadow' , '0 0 0 0');
			}, 1000);
		}
	};

	showHomepageMeta();

	$('input:radio[name=_meanthemes_homepage_item_layout]').change(function(){
		setTimeout(function() {
			$('html,body').animate({
				scrollTop: $('#meanthemes_homepage_item_custom_meta').offset().top-40
			}, 500);
		}, 250);
		homepageMetaSelected = $(this).val();
		hideHomepageMeta();
		showHomepageMeta()
	});
});
