(function() {
	tinymce.PluginManager.add('my_mce_button', function( editor, url ) {
		editor.addButton( 'my_mce_button', {
			text: 'Shortcodes',
			icon: false,
			type: 'menubutton',
			menu: [
				{
					text: 'Button',
					onclick: function() {
						editor.insertContent('[button url="#" style="grey" size="small" target="_self"]Button Text[/button]');
					}
				},
				{
					text: 'Social Icons',
					onclick: function() {
						editor.insertContent('[social url="#" site="twitter" style="black" target="_self"] Twitter [/social]');
					}
				},
				{
					text: 'FontAwesome Icons',
					onclick: function() {
						editor.insertContent('[fa icon="twitter"]');
					}
				},
				{
					text: 'Bullet Ticks',
					onclick: function() {
						editor.insertContent('[bullets style="green"] <ul><li>Insert List here</li></ul> [/bullets]');
					}
				},
				{
					text: 'Columns',
					menu: [
						{
							text: 'One Third',
							onclick: function() {
								editor.insertContent('[one_third] Content Here [/one_third]');
							}
						},
						{
							text: 'Two Thirds',
							onclick: function() {
								editor.insertContent('[two_third] Content Here [/two_third]');
							}
						},
						{
							text: 'One Half',
							onclick: function() {
								editor.insertContent('[one_half] Content Here [/one_half]');
							}
						},
						{
							text: 'One Fourth',
							onclick: function() {
								editor.insertContent('[one_fourth] Content Here [/one_fourth]');
							}
						},
						{
							text: 'Three Fourths',
							onclick: function() {
								editor.insertContent('[three_fourth] Content Here [/three_fourth]');
							}
						},
						{
							text: 'One Fifth',
							onclick: function() {
								editor.insertContent('[one_fifth] Content Here [/one_fifth]');
							}
						},
						{
							text: 'Two Fifths',
							onclick: function() {
								editor.insertContent('[two_fifth] Content Here [/two_fifth]');
							}
						},
						{
							text: 'Three Fifths',
							onclick: function() {
								editor.insertContent('[three_fifth] Content Here [/three_fifth]');
							}
						},
						{
							text: 'Four Fifths',
							onclick: function() {
								editor.insertContent('[four_fifth] Content Here [/four_fifth]');
							}
						},
						{
							text: 'One Sixth',
							onclick: function() {
								editor.insertContent('[one_sixth] Content Here [/one_sixth]');
							}
						},
						{
							text: 'Five Sixths',
							onclick: function() {
								editor.insertContent('[five_sixth] Content Here [/five_sixth]');
							}
						}
					]
				},

				{
					text: 'Columns: Last',
					menu: [

						{
							text: 'One Third: Last',
							onclick: function() {
								editor.insertContent('[one_third_last] Content Here [/one_third_last]');
							}
						},
						{
							text: 'Two Thirds: Last',
							onclick: function() {
								editor.insertContent('[two_third_last] Content Here [/two_third_last]');
							}
						},
						{
							text: 'One Half: Last',
							onclick: function() {
								editor.insertContent('[one_half_last] Content Here [/one_half_last]');
							}
						},
						{
							text: 'One Fourth: Last',
							onclick: function() {
								editor.insertContent('[one_fourth_last] Content Here [/one_fourth_last]');
							}
						},
						{
							text: 'Three Fourths: Last',
							onclick: function() {
								editor.insertContent('[three_fourth_last] Content Here [/three_fourth_last]');
							}
						},
						{
							text: 'One Fifth: Last',
							onclick: function() {
								editor.insertContent('[one_fifth_last] Content Here [/one_fifth_last]');
							}
						},
						{
							text: 'Two Fifths: Last',
							onclick: function() {
								editor.insertContent('[two_fifth_last] Content Here [/two_fifth_last]');
							}
						},
						{
							text: 'Four Fifths: Last',
							onclick: function() {
								editor.insertContent('[four_fifth_last] Content Here [/four_fifth_last]');
							}
						},
						{
							text: 'One Sixth: Last',
							onclick: function() {
								editor.insertContent('[one_sixth_last] Content Here [/one_sixth_last]');
							}
						}
					]
				},

				{
					text: 'Statuses',
					menu: [
						{
							text: 'OK',
							onclick: function() {
								editor.insertContent('[status_ok] Content Here [/status_ok]');
							}
						},
						{
							text: 'Oops',
							onclick: function() {
								editor.insertContent('[status_oops] Content Here [/status_oops]');
							}
						},
						{
							text: 'Less Oops',
							onclick: function() {
								editor.insertContent('[status_lessoops] Content Here [/status_lessoops]');
							}
						}
					]
				},
				{
					text: 'Layout',
					menu: [
						{
							text: 'Tabs',
							onclick: function() {
								editor.insertContent('[tabs][tab title="Tab 1"] Tab Content 1 [/tab] [tab title="Tab 2"] Tab Content 2 [/tab] [tab title="Tab 3"] Tab Content 3[/tab][/tabs]');
							}
						},
						{
							text: 'Toggle',
							onclick: function() {
								editor.insertContent('[toggle title="Toggle Title"] Content here [/toggle]');
							}
						},
						{
							text: 'Quote with Rating',
							onclick: function() {
								editor.insertContent('[quote source="Source here" rating="5"] Content here [/quote]');
							}
						},
						{
							text: 'Full Width Image insert',
							onclick: function() {
								editor.insertContent('[insert] Add Media here [/insert]');
							}
						}
					]
				},
			]
		});
	});
})();
